psychtoolbox-3 (3.0.22.2+dfsg-8) unstable; urgency=medium

  * Revert "unconditionally-define-PSYCH_NOLM.patch: new."
    Due to failure to reproduce the build issue in loong64 emulation, this
    change was thought fixing the situation, which was not the case.
    Upstream pointed out there are additional problems which require
    removal of this patch.
  * no-pagesize-for-decision-making.patch: new.
    This is an upstream provided patch for resolution of -lLexActivator
    link errors affecting certain architectures such as loong64.

 -- Étienne Mollier <emollier@debian.org>  Tue, 30 Jun 2026 12:10:09 +0200

psychtoolbox-3 (3.0.22.2+dfsg-7) unstable; urgency=medium

  * unconditionally-define-PSYCH_NOLM.patch: new.
    This fixes build failures on loong64 and possibly even sparc64.
  * d/control: add myself to uploaders.

 -- Étienne Mollier <emollier@debian.org>  Sat, 27 Jun 2026 09:48:57 +0200

psychtoolbox-3 (3.0.22.2+dfsg-6) unstable; urgency=medium

  * Team upload.

  [ Karsten Schöke ]
  * d/copyright: further licenses adapted
  * Disable LexActivator on unsupported architectures (loong64, sparc64).

  [ Andreas Tille ]
  * psychtoolbox-3-common Depends: procps
    Closes: #1136564

  [ Étienne Mollier ]
  * d/control: declare compliance to standards version 4.7.4.
  * d/copyright: deduplicate and merge paragraph.
    Files affected are Psychtoolbox/PsychOpenGL/MOGL/*.
  * d/rules: do not erase DEB_HOST_ARCH with dpkg-query.
    Fetch variables from /usr/share/dpkg/architecture.mk instead.
  * d/rules: fix permissions on i915_optimus_sync_tracing.sh.
  * d/copyright: fix paragraph ordering for PerlinNoiseLib.frag.txt.
  * d/copyright: remove mismatching Files-Excluded entry.
    The source package still ships WaffleLicense.txt, which is not
    problematic.  The rest should be covered by the glob matching library
    files.

 -- Étienne Mollier <emollier@debian.org>  Thu, 25 Jun 2026 20:25:22 +0200

psychtoolbox-3 (3.0.22.2+dfsg-5) unstable; urgency=medium

  * Team upload.
  * deleting unused patch deb_use_system_GLEW
  * Comprehensive license control for all components.

 -- Karsten Schöke <karsten.schoeke@geobasis-bb.de>  Fri, 24 Apr 2026 19:05:08 +0200

psychtoolbox-3 (3.0.22.2+dfsg-4) unstable; urgency=medium

  * Team upload.

  [ Alexandre Detiste ]
  * this already uses dh-sequence-python3, trim duplicate instruction
  * apply Multi-Arch: hint

  [ Karsten Schöke ]
  * d/copyright: review for new python3-psychtoolbox binary.

  [ Étienne Mollier ]
  * Introduce a python3-psychtoolbox package. (Closes: #1128693)

 -- Karsten Schöke <karsten.schoeke@geobasis-bb.de>  Mon, 20 Apr 2026 11:26:43 +0200

psychtoolbox-3 (3.0.22.2+dfsg-3) unstable; urgency=medium

  * Team upload.
  * More fixes to find glib-2.0 and gstreamer-1.0 on all architectures

 -- Andreas Tille <tille@debian.org>  Wed, 08 Apr 2026 11:44:27 +0200

psychtoolbox-3 (3.0.22.2+dfsg-2) unstable; urgency=medium

  * Team upload.
  * Fix hardcoded x86_64 include paths for glib-2.0 and gstreamer-1.0

 -- Andreas Tille <tille@debian.org>  Tue, 07 Apr 2026 15:03:09 +0200

psychtoolbox-3 (3.0.22.2+dfsg-1) unstable; urgency=medium

  * Team upload.

  [ Yaroslav Halchenko ]
  * Recent upstream release
    - dfsg_upstream was tuned to remove .../NVidiaOptimus/ (Closes: #1128000)
  * d/upstream/metadata
    - Rename Bugs to Bug-Database, Acknowledgment to Cite-As (DEP-12)
    - Remove non-standard Tags field
  * d/control
    - remove mentioning of octave-pkg-dev which was removed from debian
      and should no longer be needed across backports (Closes: #1116472)
  * d/copyright -- major update with claude code assistance

  [ Andreas Tille ]
  * Maintain in Debian Med team
  * Add watch file
  * Use Files-Excludes instead of debian/dfsg-upstream
  * d/rules:
     - no need to specify --with quilt
     - Add --with python3 --with numpy3
  * Drop old ored Build-Depends
  * Drop explicit *-dbg package
  * debhelper-compat = 13
  * cme fix dpkg-control
  * Remove unused lintian-overrides
  * Avoid race conditions in parallel builds of shared .o files in Python3 code
  * d/rules:
     - hardening
     - Use DEB_LDFLAGS_MAINT_APPEND instead of directly exporting LDFLAGS
  * debian/README.source: Removed since irrelevant for the current packaging
  * Set upstream metadata fields: Bug-Submit, Repository

  [ Adrian Bunk ]
  * Build with default optimization. (Closes: #1124888)

 -- Andreas Tille <tille@debian.org>  Tue, 07 Apr 2026 11:08:38 +0200

psychtoolbox-3 (3.0.19.14.dfsg1-1) unstable; urgency=medium

  * debian/dfsg-upstream - improve listing of left non-source - list only
    binary files along with their mime type
  * debian/rules
    - do build PsychCV.mex (10) - it was excluded from the beginning for
      some reason (was not stated) and upstream announced its availability
      this May in 3.0.19.9 but we did not include it then.

 -- Yaroslav Halchenko <debian@onerussian.com>  Mon, 12 Aug 2024 09:38:17 -0400

psychtoolbox-3 (3.0.19.12.dfsg1-1) unstable; urgency=medium

  * Fresh upstream release

 -- Yaroslav Halchenko <debian@onerussian.com>  Thu, 06 Jun 2024 17:35:23 -0400

psychtoolbox-3 (3.0.19.9.dfsg1-1) unstable; urgency=medium

  * Fresh upstream release which chased prior one
  * debian/control
    - add libapriltag-dev to build-depends and apriltag to recommends of common

 -- Yaroslav Halchenko <debian@onerussian.com>  Wed, 20 Mar 2024 11:43:06 -0400

psychtoolbox-3 (3.0.19.8.dfsg1-1) UNRELEASED; urgency=medium

  * Fresh upstream release

 -- Yaroslav Halchenko <debian@onerussian.com>  Thu, 14 Mar 2024 21:02:53 -0400

psychtoolbox-3 (3.0.19.7.dfsg1-1) unstable; urgency=medium

  * Fresh upstream release (was promised to be the last this year)

 -- Yaroslav Halchenko <debian@onerussian.com>  Sat, 16 Dec 2023 19:40:43 -0500

psychtoolbox-3 (3.0.19.6.dfsg1-1) unstable; urgency=medium

  * Fresh upstream release
  * debian/control: make libglut-dev as the contemporary alternative to
    freeglut3-dev.  There is a transitional package in place so no rush

 -- Yaroslav Halchenko <debian@onerussian.com>  Wed, 13 Dec 2023 22:10:13 -0500

psychtoolbox-3 (3.0.19.5.dfsg1-1) unstable; urgency=medium

  * Fresh upstream release

 -- Yaroslav Halchenko <debian@onerussian.com>  Thu, 16 Nov 2023 23:08:20 -0500

psychtoolbox-3 (3.0.19.3.dfsg1-1) unstable; urgency=medium

  * Fresh upstream release

 -- Yaroslav Halchenko <debian@onerussian.com>  Thu, 13 Jul 2023 21:54:32 -0400

psychtoolbox-3 (3.0.19.2.dfsg1-1) experimental; urgency=medium

  * Fresh upstream bugfix release
  * Remove managementtools/stats.html from the (next) source distribution

 -- Yaroslav Halchenko <debian@onerussian.com>  Tue, 25 Apr 2023 09:59:55 -0400

psychtoolbox-3 (3.0.19.0.dfsg1-2) experimental; urgency=medium

  * Explicitly exclude modes for which not to build extensions and build
    for the rest. That is to resolve forgotten to be built PsychOpenXRCore.mex
    which was added as 16.
  * debian/control
    - per upstream recommendation moved libopenxr-loader1 to recommends
      from suggests
    - boost compat to 11
    - provide no-version in pkgname for some libraries as the one to prefer
    - boost lsb-base pkg version requirement to new series

 -- Yaroslav Halchenko <debian@onerussian.com>  Fri, 10 Mar 2023 15:36:51 -0500

psychtoolbox-3 (3.0.19.0.dfsg1-1) experimental; urgency=medium

  * New "major" upstream release. Upoad to experimental due to
    freeze of bookworm.
  * debian/control
    - add libopenxr-dev to build-depends and sort all build-depends
    - add suggests on libopenxr-loader1 and libopenxr1-monado

 -- Yaroslav Halchenko <debian@onerussian.com>  Fri, 17 Feb 2023 21:42:49 -0500

psychtoolbox-3 (3.0.18.12.dfsg1-1) unstable; urgency=medium

  * Fresh upstream release

 -- Yaroslav Halchenko <debian@onerussian.com>  Mon, 08 Aug 2022 11:17:15 -0400

psychtoolbox-3 (3.0.18.9.dfsg1-1) unstable; urgency=medium

  * Fresh upstream bugfix release addressing octave users issues under
    wayland

 -- Yaroslav Halchenko <debian@onerussian.com>  Mon, 09 May 2022 14:26:14 -0400

psychtoolbox-3 (3.0.18.7.dfsg1-1) unstable; urgency=medium

  * Fresh upstream release. Upstream notes: "mostly to deal better with
    Wayland, now that the new Ubuntu 22.04-LTS logs users into Wayland
    sessions by default, which are disastrous for neuroscience use cases. And
    generally Ubuntu 22.04-LTS fixes"

 -- Yaroslav Halchenko <debian@onerussian.com>  Mon, 02 May 2022 16:45:16 -0400

psychtoolbox-3 (3.0.18.4.dfsg1-1) unstable; urgency=medium

  * Fresh upstream release (prior one was never uploaded)
  * d/patches
    - 0001-Revert-PsychVulkanCore-Use-VK_KHR_present_wait-id-if.patch
      removed -- should no longer be needed

 -- Yaroslav Halchenko <debian@onerussian.com>  Thu, 20 Jan 2022 09:53:45 -0500

psychtoolbox-3 (3.0.18.2.dfsg1-1) UNRELEASED; urgency=medium

  * Fresh upstream release
  * d/control
    - new build-depends libxcb-present-dev, libxcomposite-dev
  * d/patches
    + 0001-Revert-PsychVulkanCore-Use-VK_KHR_present_wait-id-if.patch
      apply on older Debian/Ubuntus lacking recent libvulkan

 -- Yaroslav Halchenko <debian@onerussian.com>  Wed, 08 Dec 2021 23:39:30 -0500

psychtoolbox-3 (3.0.17.12.dfsg1-1) unstable; urgency=medium

  * Fresh upstream release
    - after the delay, uploading straight to unstable since bullseye was
      released

 -- Yaroslav Halchenko <debian@onerussian.com>  Sun, 15 Aug 2021 15:40:49 -0400

psychtoolbox-3 (3.0.17.9.dfsg1-2) unstable; urgency=medium

  * Disable building extension 13 for RPi (we have no libwiringpi-dev in
    Debian yet).  Should resolve FTBFS on ARMs.

 -- Yaroslav Halchenko <debian@onerussian.com>  Mon, 22 Feb 2021 15:22:04 -0500

psychtoolbox-3 (3.0.17.9.dfsg1-1) unstable; urgency=medium

  * New upstream release
  * debian/rules
    - use DFSG version of the splash screen without pixabay frog
    - build also 11  13 14 15 extensions
  * debian/control
    + libopenhmd-dev build-dependency
    + libvulkan-dev (>= 1.1~) build-dependency
    + added 1.8~ as minimal version for gstreamer (plugins base)
    - made libdc1394-dev to be of preference over libdc1394-22-dev in B-Depends
      (Closes: #970839).  Left old libdc1394-22-dev as an alternative for
      easier backports

 -- Yaroslav Halchenko <debian@onerussian.com>  Mon, 22 Feb 2021 13:03:01 -0500

psychtoolbox-3 (3.0.17.6.dfsg1-1) unstable; urgency=medium

  * New upstream release
  * debian/patches
    - deb_no_PTB_USE_NVSTUSB, deb_see_README.Debian  - updated to account
      for upstream changes

 -- Yaroslav Halchenko <debian@onerussian.com>  Fri, 22 Jan 2021 10:37:41 -0500

psychtoolbox-3 (3.0.17.3.dfsg1-1) unstable; urgency=medium

  * New upstream release
  * debian/control
    - added libvulkan1 to Recommends
    - boost lsb-base versioned depends to >= 9.20170808 to avoid building
      on older distros lacking recent xserver (>= 1.20)
  * debian/copyright
    - boosted years for my and upstream copyright
    - added entries for *exr library and sample images
  * debian/patches/deb_no_PTB_USE_NVSTUSB - refreshed

 -- Yaroslav Halchenko <debian@onerussian.com>  Thu, 19 Nov 2020 10:05:30 -0500

psychtoolbox-3 (3.0.16.20200326.dfsg1-1) unstable; urgency=medium

  * Fresh upstream release

 -- Yaroslav Halchenko <debian@onerussian.com>  Thu, 26 Mar 2020 09:33:42 -0400

psychtoolbox-3 (3.0.16.20200130.dfsg1-2) unstable; urgency=medium

  * Recommend entire gamemode, not just libgamemode0 (upon Mario's
    request)

 -- Yaroslav Halchenko <debian@onerussian.com>  Sun, 22 Mar 2020 12:45:01 -0400

psychtoolbox-3 (3.0.16.20200130.dfsg1-1) unstable; urgency=medium

  * Fresh upstream release
  * debian/patches/deb_no_so2_stripping
    - adjusted to be of a minimal footprint, to resolve conflicts and avoid
      future ones

 -- Yaroslav Halchenko <debian@onerussian.com>  Mon, 24 Feb 2020 09:34:00 -0500

psychtoolbox-3 (3.0.15.20190725.dfsg1-1) unstable; urgency=medium

  * Strip away ./Psychtoolbox/PsychContributed/gpuclockctl
    from sources, and Recommend libgamemode0 providing it ATM
  * Remove obsolete octave-audio from Recommends (Closes: #801652)
  * Remove octave-workspace files from the installation, which would
    also help making build reproducible (thanks Chris Lamb for the
    patch) (Closes: #883348)

 -- Yaroslav Halchenko <debian@onerussian.com>  Thu, 19 Sep 2019 16:17:11 -0400

psychtoolbox-3 (3.0.15.20190401.dfsg1-1) experimental; urgency=medium

  * Fresh upstream release

 -- Yaroslav Halchenko <debian@onerussian.com>  Wed, 10 Apr 2019 10:11:47 -0400

psychtoolbox-3 (3.0.15.20190207.dfsg1-1) unstable; urgency=medium

  * Fresh upstream release

 -- Yaroslav Halchenko <debian@onerussian.com>  Thu, 07 Feb 2019 07:49:07 -0500

psychtoolbox-3 (3.0.15.20181125.dfsg1-2) unstable; urgency=medium

  * d/{control,compat}
    - boost compat to 9 and remove added python b-depends - they must not
      be needed, but I guess were triggered by having too old of compat level
  * d/control
    - use "optional" not "extra" priority
    - adjusted VCS fields to point to github where we have it most up to date
      ATM
  * d/rules
    - force --buildsystem=makefile so debhelper doesn't decide to go for
      pybuild (not relevant and causes demanding python)
    - run tests with the fake HOME pointing to empty writable dir ./tests-home
  * d/watch
    - for now added target one to monitor (github) as a comment since still
      would need heavy version parsing tuning

 -- Yaroslav Halchenko <debian@onerussian.com>  Wed, 06 Feb 2019 15:49:47 -0500

psychtoolbox-3 (3.0.15.20181125.dfsg1-1) unstable; urgency=medium

  * Recent upstream snapshot release
  * d/{control,rules,patches}
    - use system wide pulseaudio with upstream blessing
  * d/control
    - boosted policy to 4.3.0
    - added python2-minimal | python-minimal to build-depends since
      dh auto_clean started to fail with enigmatic demand of pyversions
      to be present

 -- Yaroslav Halchenko <debian@onerussian.com>  Tue, 05 Feb 2019 22:31:38 -0500

psychtoolbox-3 (3.0.14.20180526.dfsg1-1) unstable; urgency=medium

  * Fresh upstream snapshot release
  * d/control
    - allow for both  dh-octave | octave-pkg-dev (>= 0.5.7)  for easy
      backportability
  * d/rules
    - handle Octave:Depends in backports friendly way

 -- Yaroslav Halchenko <debian@onerussian.com>  Fri, 01 Jun 2018 10:09:38 -0400

psychtoolbox-3 (3.0.14.20171008.dfsg1-1) unstable; urgency=medium

  * Fresh upstream snapshot release
  * debian/patches/up_glibc_no_xlocale
    - to not #include xlocale while using glibc which no longer ships it

 -- Yaroslav Halchenko <debian@onerussian.com>  Sun, 19 Nov 2017 22:07:56 -0500

psychtoolbox-3 (3.0.14.20170819.dfsg1-1) unstable; urgency=medium

  * Fresh upstream snapshot release

 -- Yaroslav Halchenko <debian@onerussian.com>  Sat, 30 Sep 2017 17:36:20 -0400

psychtoolbox-3 (3.0.14.20170611.dfsg1-1) unstable; urgency=medium

  * Fresh upstream release
  * debian/run_tests
    - add  --no-history  option to octave invocation
  * debian/control
    - added octave-pkg-dev to Recommends of octave-psychtoolbox-3 per
      upstream's  request to facilitate users' troubleshooting

 -- Yaroslav Halchenko <debian@onerussian.com>  Mon, 12 Jun 2017 22:31:16 -0400

psychtoolbox-3 (3.0.14.20170103+git6-g605ff5c.dfsg1-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Build-depend on dh-octave instead of octave-pkg-dev (Closes: 890087)
  * d/p/exclude-deprecated-xlocale.h.patch: New patch (Closes: 895739)

 -- Rafael Laboissiere <rafael@debian.org>  Sun, 15 Apr 2018 10:34:52 -0300

psychtoolbox-3 (3.0.14.20170103+git6-g605ff5c.dfsg1-1) unstable; urgency=medium

  * Fresh upstream release + few post release fixes snapshot
  * debian/patches/deb_no_PTB_USE_NVSTUSB -- refreshed

 -- Yaroslav Halchenko <debian@onerussian.com>  Wed, 04 Jan 2017 16:35:51 -0500

psychtoolbox-3 (3.0.13.20160910.dfsg1-1) unstable; urgency=medium

  * Fresh upstream release
  * Patch from Ubuntu (via Steve Langasek, Thanks!) to update autotools
    within shipped copy of pulseaudio (Closes: #727951)
  * debian/rules
    - for now build against upstream's copy of GLEW to overcome FTBFS
      due to changed (fixed) API (Closes: #837524)

 -- Yaroslav Halchenko <debian@onerussian.com>  Wed, 14 Sep 2016 21:31:22 -0400

psychtoolbox-3 (3.0.12.20160514.dfsg1-1) unstable; urgency=medium

  * Fresh upstream (primarily optimizations) release:
    - should be able to drive PROPixx at 1440 fps on Debian-8
    - various compat fixes / optimizations for for RaspberryPi/Raspian

 -- Yaroslav Halchenko <debian@onerussian.com>  Sun, 15 May 2016 17:30:27 -0400

psychtoolbox-3 (3.0.12.20160414.dfsg1-1) unstable; urgency=medium

  * Fresh upstream (largely bugfix) release

 -- Yaroslav Halchenko <debian@onerussian.com>  Sun, 17 Apr 2016 21:45:47 -0400

psychtoolbox-3 (3.0.12.20160126.dfsg1-2) neurodebian; urgency=medium

  * debian/control
    - remove obsolete recommendation of subversion and recommend alsa-utils
  * debian/patches/deb_no_so2_stripping  to not link against .so instead of
    .so.2 for liboctaveinterp (relevant for older Debian/Ubuntus)

 -- Yaroslav Halchenko <debian@onerussian.com>  Tue, 01 Mar 2016 19:59:46 -0500

psychtoolbox-3 (3.0.12.20160126.dfsg1-1) unstable; urgency=medium

  * Fresh upstream release
  * debian/dfsg-upstream
    - adjusted to exclude many new 3rd party library (oculus SDK, etc) which
      either need to be packaged separately or just not compatible with DFSG

 -- Yaroslav Halchenko <debian@onerussian.com>  Tue, 26 Jan 2016 23:36:56 -0500

psychtoolbox-3 (3.0.12.20150725.dfgs1-2) unstable; urgency=medium

  * debian/rules
    - export gstreamer-1.0 cflags to make g++ find headers under /usr/lib/ARCH
    - remove core files which might get dumped
  * debian/octave-psychtoolbox-3.lintian-overrides
    - allow embedding GLEW

 -- Yaroslav Halchenko <debian@onerussian.com>  Wed, 30 Sep 2015 11:05:38 -0700

psychtoolbox-3 (3.0.12.20150725.dfgs1-1) unstable; urgency=medium

  * New upstream beta release
    - updated optional deb_use_system_GLEW for upstream inclusion of
      -lX11-xcb -lxcb -lxcb-dri3
  * debian/control
    - new build-depends: libxcb1-dev, libx11-xcb-dev, libxcb-dri3-dev

 -- Yaroslav Halchenko <debian@onerussian.com>  Mon, 27 Jul 2015 12:57:01 -0400

psychtoolbox-3 (3.0.12.20150419.dfgs1-1) unstable; urgency=medium

  * New upstream beta release
    - deals with  tripple buffer on intel cards without requiring xorg.conf
      tuneup
  * debian/patches/deb_use_system_GLEW
    - refreshed
  * debian/copyright
    - updated years
    - shortened name for SGI license and listed it for glu_edit.h
  * upload to unstable
    - should provide needed dependency on newer gstreamer 1.0
      (Closes: #785869)
  * debian/upstream -> debian/upstream/metadata migration
  * debian/control
    - boosted policy to 3.9.6

 -- Yaroslav Halchenko <debian@onerussian.com>  Thu, 21 May 2015 08:56:53 -0400

psychtoolbox-3 (3.0.12.20150316.dfsg-1) experimental; urgency=medium

  * New upstream release

 -- Yaroslav Halchenko <debian@onerussian.com>  Fri, 20 Mar 2015 00:54:26 -0400

psychtoolbox-3 (3.0.12.20141228.dfsg2-1) experimental; urgency=medium

  * New upstream release
  * debian/dfsg-upstream
    - remove also binary builds of drivers
    - do not remove copy of glew -- >= 1.11.0 needed for backport builds
  * debian/rules - patch to use system GLEW only if it is >= 1.11.0
  * debian/control - limit builds to lsb-base (>= 4.1+Debian8), so we build
    in NeuroDebian for Debian >= 7.0 (wheezy), Ubuntu >= 14.04 (trusty)

 -- Yaroslav Halchenko <debian@onerussian.com>  Mon, 26 Jan 2015 11:25:15 -0500

psychtoolbox-3 (3.0.12.20141019.dfsg1-1) UNRELEASED; urgency=medium

  * New upstream release
    - requires gstreamer 1.0 (debian/control adjusted)

 -- Yaroslav Halchenko <debian@onerussian.com>  Mon, 27 Oct 2014 22:40:11 -0400

psychtoolbox-3 (3.0.11.20140816.dfsg1-1) unstable; urgency=medium

  * Fresh upstream snapshot bugfix release
  * debian/patches/deb_psychtoolboxversion
    - dropped (upstreamed)

 -- Yaroslav Halchenko <debian@onerussian.com>  Wed, 20 Aug 2014 20:12:23 -0400

psychtoolbox-3 (3.0.11.20140705.dfsg1-1) unstable; urgency=medium

  * Fresh upstream snapshot bugfix release

 -- Yaroslav Halchenko <debian@onerussian.com>  Mon, 07 Jul 2014 09:47:01 -0400

psychtoolbox-3 (3.0.11.20140516.dfsg1-1) unstable; urgency=medium

  * Fresh upstream snapshot addressing some issues with AMD Radeon HD-5000
    and fixing up some tests -- Mario never rests.

 -- Yaroslav Halchenko <debian@onerussian.com>  Sat, 17 May 2014 01:48:24 -0400

psychtoolbox-3 (3.0.11.20140430.dfsg1-1) unstable; urgency=medium

  * Fresh upstream snapshot (advised for packaging by upstream):
    - many compatibility fixes etc
    - resolves FTBFS with recent octave/gcc (Closes: #741802)
  * debian/patches
    - some patches were refreshed to address upstream code changes

 -- Yaroslav Halchenko <debian@onerussian.com>  Thu, 01 May 2014 10:48:00 -0400

psychtoolbox-3 (3.0.11.20131230.dfsg1-1) unstable; urgency=low

  * New upstream release:
    - detect location of (recently moved) FreeType-2 header files (Closes:
      #733402)
    - improved low-level support of the latest AMD gpu's
    - fix for key-events handling under XFCE-4 (no new workspaces should
      now get created upon exit)
    - general improvements to video capture and video recording
    - various other fixes

 -- Yaroslav Halchenko <debian@onerussian.com>  Mon, 30 Dec 2013 19:52:29 -0500

psychtoolbox-3 (3.0.11.20131017.dfsg1-3) unstable; urgency=low

  * Upload to unstable since fresh glew has arrived to sid!

 -- Yaroslav Halchenko <debian@onerussian.com>  Tue, 19 Nov 2013 23:34:50 -0500

psychtoolbox-3 (3.0.11.20131017.dfsg1-2) neurodebian; urgency=low

  * debian/control
    - Also adding a conflict for libglew-dev (= 1.9.0.is.1.8.0-0ubuntu2) in
      saucy
    - Adding gnuplot-nox|gnuplot to build-depends and gnuplot to suggests of
      -common package
    - libusb-1.0-0-dev 1.0.9 (even rc) should be good enough according to Mario.
      So downgrading this versioned dependency so it could build for squeeze and
      precise now
  * debian/rules
    - exclude test PTBAndIsetbioColorimetryTest since requires isetbio cmdline

 -- Yaroslav Halchenko <debian@onerussian.com>  Fri, 18 Oct 2013 22:30:02 -0400

psychtoolbox-3 (3.0.11.20131017.dfsg1-1) experimental; urgency=low

  * Fresh bugfix release resolving discovered issues with 3.0.11.20131003,
    e.g. segfaults upon exit

 -- Yaroslav Halchenko <debian@onerussian.com>  Wed, 16 Oct 2013 22:09:21 -0400

psychtoolbox-3 (3.0.11.20131003.dfsg1-1) experimental; urgency=low

  * Fresh upstream primarily bugfix release
    - addresses an issue with  PsychHID('Devices') breaking sub-second
      timing of WaitSecs (Thanks Mario for the detailed report on new release).
  * debian/patches
    - refreshed to address renaming of the build .m script
  * debian/control
    - boost build-depends on libusb-1.0-0-dev >= 2:1.0.11

 -- Yaroslav Halchenko <debian@onerussian.com>  Fri, 11 Oct 2013 15:18:39 -0400

psychtoolbox-3 (3.0.11.20130711.dfsg1-1) experimental; urgency=low

  * New upstream release
    - resolves FTBFS with gcc-4.8 (Closes: #701342)
  * debian/control
    - moved all gst-plugins collecttions to Recommends per upstream
      recommendation

 -- Yaroslav Halchenko <debian@onerussian.com>  Mon, 15 Jul 2013 11:28:09 -0400

psychtoolbox-3 (3.0.10.20130612.dfsg1-1) neurodebian; urgency=low

  * New upstream snapshot release

 -- Yaroslav Halchenko <debian@onerussian.com>  Fri, 14 Jun 2013 12:03:25 -0400

psychtoolbox-3 (3.0.10.20130522.dfsg1-1) UNRELEASED; urgency=low

  * New upstream snapshot release
    - upload only to NeuroDebian due to unresolved #705485
      (liboctave-dev & GCC 4.8)
  * debian/rules
    - run selected collection of Demos and Tests at build-time to validate
      correct operation (xvfb, xauth, xdotool, gstreamer, etc to B-D).
      Failures are ignored for now

 -- Yaroslav Halchenko <debian@onerussian.com>  Fri, 14 Jun 2013 11:09:19 -0400

psychtoolbox-3 (3.0.10.20130420.dfsg1-1) UNRELEASED; urgency=low

  * New upstream release
  * debian/rules, debian/dfsg-upstream
    - adjusted for new binary blobs (libwaffle etc)

 -- Yaroslav Halchenko <debian@onerussian.com>  Tue, 07 May 2013 09:30:06 -0400

psychtoolbox-3 (3.0.10.20130114.dfsg1-1) experimental; urgency=low

  * New upstream bugfix release

 -- Yaroslav Halchenko <debian@onerussian.com>  Tue, 15 Jan 2013 22:13:23 -0500

psychtoolbox-3 (3.0.10.20130108.dfsg1-1) experimental; urgency=low

  * Fresh upstream release
  * debian/patches
    - deb_use_system_GLEW -- refreshed
    - deb_psychtoolboxversion -- fixed to compare correctly for paths of both
      Octave and Matlab
  * debian/upstream
    - provides references and other information

 -- Yaroslav Halchenko <debian@onerussian.com>  Tue, 08 Jan 2013 09:09:40 -0500

psychtoolbox-3 (3.0.10.20121111.dfsg1-1) neurodebian-devel; urgency=low

  * Long over-due fresh always-beta snapshot release of 3.0.10
    - upstream switched entirely over to GIT, packaging repository
      is rebased on top of that GIT repository
    - debian/dfsg-upstream adjusted for new archives/binary blobs to
      be removed
  * debian/control
    - boost glew build-depends to 1.9 (soversioned backport -dev packages
      provided by NeuroDebian)
    - build-depend on libxfixes-dev

 -- Yaroslav Halchenko <debian@onerussian.com>  Tue, 11 Dec 2012 13:08:23 -0500

psychtoolbox-3 (3.0.9+svn2579.dfsg1-1) unstable; urgency=low

  * Fresh always-beta always 3.0.9 release
    - addresses portaudio issues on amd64 platform
    - 1 new entry for debian/copyright

 -- Yaroslav Halchenko <debian@onerussian.com>  Wed, 23 May 2012 13:25:28 -0400

psychtoolbox-3 (3.0.9+svn2539.dfsg1-1) unstable; urgency=low

  * Fresh beta release:
    - resolved outstanding copyright/license issue with glext_edit.h
    - Initial upload to unstable (Closes: #606557)
  * debian/control:
    - -common: recommend subversion for DownloadAdditions functionality
  * debian/copyright:
    - updated to reflect upstream changes and some outstanding missing entries
  * debian/TODO, debian/rules:
    - cleanup

 -- Yaroslav Halchenko <debian@onerussian.com>  Mon, 02 Apr 2012 11:12:15 -0400

psychtoolbox-3 (3.0.9+svn2514.dfsg1-1) neurodebian; urgency=low

  * Fresh beta release:
    Many improvements to realtime scheduling and movie playback, a bit of
    gpu based random number noise generation (perlin noise) on modern
    gpus, etc.
  * Refreshed patches
  * Updated copyright (years, URLs, license)
  * Boosted policy to 3.9.3 -- no changes
  * Added upstream changelog as a GIT/SVN log of the upstream beta branch
    which carries release summaries
  * "Manually" generate octave:Depends due to deprecation of
    octave-depends helper in favor of unversioned octave package.

 -- Yaroslav Halchenko <debian@onerussian.com>  Thu, 22 Mar 2012 22:19:03 -0400

psychtoolbox-3 (3.0.9+svn2458.dfsg1-1) neurodebian; urgency=low

  * New upstream snapshot (no chages in sources), necessary
    to assure correct fetching of binary extensions upon demand

 -- Yaroslav Halchenko <debian@onerussian.com>  Sun, 19 Feb 2012 21:00:54 -0500

psychtoolbox-3 (3.0.9+svn2456.dfsg1-1) neurodebian; urgency=low

  * New upstream snapshot (no chages in sources), necessary
    to assure correct fetching of binary extensions upon demand
  * To please Ubuntu's --as-needed placed -l's for
    libptbdrawtext_ftgl.so.1 build at the end of the build cmd
    (should fix incorrect building on Ubuntu's >= 11.04)

 -- Yaroslav Halchenko <debian@onerussian.com>  Fri, 17 Feb 2012 21:59:12 -0500

psychtoolbox-3 (3.0.9+svn2455.dfsg1-1) neurodebian; urgency=low

  * New upstream snapshot
    - upstream dropped direct build dependency on libraw1394-dev
    - compatible with freenect 0.1.2
  * Refreshed patches: deb_no_static_bindings_with-fPIC,
    deb_see_README.Debian, deb_use_system_GLEW

 -- Yaroslav Halchenko <debian@onerussian.com>  Sun, 12 Feb 2012 18:29:24 -0500

psychtoolbox-3 (3.0.9+svn2380.dfsg1-1) neurodebian; urgency=low

  * New upstream snapshot addressing XRandR support etc
  * Upstream moved to a new SVN hosting, git-svn linkage was updated
  * deb_see_README.Debian patch refreshed
  * Boosted policy to 3.9.2 -- no changes

 -- Yaroslav Halchenko <debian@onerussian.com>  Thu, 01 Dec 2011 00:19:52 -0500

psychtoolbox-3 (3.0.9+svn2351.dfsg1-1) neurodebian; urgency=low

  * New upstream point release
  * Adjusted debian/cleanup.sh (thanks Mario for heads up)
  * Renamed debian/cleanup.sh into debian/dfsg-upstream
  * libxrandr-dev into Build-Depends

 -- Yaroslav Halchenko <debian@onerussian.com>  Mon, 07 Nov 2011 22:02:20 -0500

psychtoolbox-3 (3.0.9+svn2265.dfsg1-1) neurodebian; urgency=low

  * New upstream point release
  * gfortran into build-depends to assure noise-less operation of
    mkoctfile
  * libxi-dev into Build-Depends due to use of libXi
  * Enabled building of moalcore.mex and PsychHID.mex for octave
    (libopenal-dev into build-Depends)
  * Build-Depend on 1.6 (instead of 1.5) version of GLEW to enable
    OML_sync_control extension

 -- Yaroslav Halchenko <debian@onerussian.com>  Tue, 09 Aug 2011 14:25:00 -0400

psychtoolbox-3 (3.0.9+svn2167.dfsg1-1) neurodebian; urgency=low

  * New upstream point release (aiming at becoming a beta):
    - core is now distributed under MIT license
  * Removed BIG FAT WARNING
  * Added Recommends and Suggests on some octave toolboxes, and
    gstreamer plugins sets (base, good, bad, ugly)
  * Provide include paths for glib-2.0 from pkg-config -- necessary
    for build on systems with multiarch support

 -- Yaroslav Halchenko <debian@onerussian.com>  Mon, 27 Jun 2011 22:55:34 -0400

psychtoolbox-3 (3.0.9+svn2078.dfsg1-1) neurodebian; urgency=low

  * New upstream point release

 -- Yaroslav Halchenko <debian@onerussian.com>  Tue, 17 May 2011 18:00:28 -0400

psychtoolbox-3 (3.0.8+svn1934.dfsg1-1~pre2) neurodebian; urgency=low

  * New patch up_portaudio_patches to consolidate upstream's
    linux-relevant patches for portaudio -- fixes problem with missing
    symbol PaUtil_SetDebugPrintFunction
  * README.Debian:
    - notes on setting up real-time scheduling and memory locking
    - hint on 'sca' function for restoring the display
  * New patch deb_psychtoolboxversion to enable reporting PTB version
    in the packaged version of PTB
  * Added a big fat warning to descriptions of all the packages

 -- Yaroslav Halchenko <debian@onerussian.com>  Thu, 20 Jan 2011 12:17:42 -0500

psychtoolbox-3 (3.0.8+svn1934.dfsg1-1~pre1) neurodebian; urgency=low

  * Initial Debian packaging

 -- Yaroslav Halchenko <debian@onerussian.com>  Fri, 17 Dec 2010 00:01:44 -0500
